"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
   ______                     ____
  / ____/______  ______  ____/ / /___ _____ ____  ____
 / / __/ ___/ / / / __ \/ __  / / __ `/ __ `/ _ \/ __ \
/ /_/ / /  / /_/ / / / / /_/ / / /_/ / /_/ /  __/ / / /
\____/_/   \__,_/_/ /_/\__,_/_/\__,_/\__, /\___/_/ /_/
                                    /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 27.12.2019
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#================================
#= Tutorial: Switch/Case-Blocks =
#================================

print("Eigentlich gibt es in python keine klassischen Switch/Case-Blocks.")
print("Es gibt allerdings eine Möglichkeit mithilfe von Dictionaries das Verhalten von Switch/Case-Blöcken zu immitieren.")

aktion = input("""Was möchtest du tun?:
1 = Installiere etwas
2 = PC Herunterfahren
3 = Etwas googlen
""")
intaktion = int(aktion)

def aktion1():
	print("Ich werde ... installieren")

def aktion2():
	print("Ich würde jetzt deinen PC herunterfahren, wenn das ein Test wäre")

def aktion3():
	print("Ich würde deinen Browser öffnen und auf http://www.google.de/ navigieren")

def aktionelse():
	print("Ich würde dir einen Tipp geben, dass deine Auswahl nicht gültig war")

switcher = {
	1: aktion1,
	2: aktion2,
	3: aktion3
}

func = switcher.get(intaktion, aktionelse)
func()

input("Drücken Sie eine beliebige Taste . . .")
