"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
   ______                     ____
  / ____/______  ______  ____/ / /___ _____ ____  ____
 / / __/ ___/ / / / __ \/ __  / / __ `/ __ `/ _ \/ __ \
/ /_/ / /  / /_/ / / / / /_/ / / /_/ / /_/ /  __/ / / /
\____/_/   \__,_/_/ /_/\__,_/_/\__,_/\__, /\___/_/ /_/
                                    /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 01.01.2020
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#==========================
#= Tutorial: Dictionaries =
#==========================

print("In diesem Programm werden Dictionaries demonstriert.")
print("Dictionaries sind fast das Gleiche wie Arrays.")
print("Der Hauptunterschied besteht darin, dass die Indexe Text anstatt zahlen verwenden.")
print("In Python können sogar Objekte als Index verwendet werden.\n")

schaffenburg_real2nick = {"Paul":"VinRisen360","Hendrik":"Dg3hda","Andy":"Fraxinas","Olaf":"Zoredh"}
#Übersichtlichere Schreibweise:
schaffenburg_real2nick = {
	"Paul":"VinRisen360",
	"Hendrik":"Dg3hda",
	"Andy":"Fraxinas",
	"Olaf":"Zoredh"
	}
schaffenburg_nick2real = {}
for realname in schaffenburg_real2nick:
	spitzname = schaffenburg_real2nick[realname]
	schaffenburg_nick2real[spitzname] = spitzname

print("Willkommen im Übersetzer für die Schaffenburg e.V. Spitznamen.")
print("Tippe 'exit' um den Übersetzer zu verlassen.")
while(True):
	gesuchtername = input("\nWelche Namen möchte Sie wissen? ")
	gesuchtername = gesuchtername.capitalize()
	if gesuchtername == "Exit":
		break
	if gesuchtername in schaffenburg_nick2real:
		print("Ah. Du meinst {}. Er wird auch {} genannt.".format(gesuchtername, schaffenburg_nick2real[gesuchtername]))
	elif gesuchtername in schaffenburg_real2nick:
		print("Ah. Du meinst {}. Er wird auch {} genannt.".format(gesuchtername, schaffenburg_real2nick[gesuchtername]))
	else:
		print("Tut mir Leid, aber für diesen Namen habe ich keinen Eintrag gefunden...")
		print("Versuch es einfach noch einmal.")

input("Drücken Sie eine beliebige Taste . . .")
