"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____                                                  _
   / __ \_________  ____ __________ _____ ___  ____ ___  (_)__  ________  _____
  / /_/ / ___/ __ \/ __ `/ ___/ __ `/ __ `__ \/ __ `__ \/ / _ \/ ___/ _ \/ ___/
 / ____/ /  / /_/ / /_/ / /  / /_/ / / / / / / / / / / / /  __/ /  /  __/ /
/_/   /_/   \____/\__, /_/   \__,_/_/ /_/ /_/_/ /_/ /_/_/\___/_/   \___/_/
                 /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 14.01.2020
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#===================================
#= Tutorial: Objekte und Instanzen =
#===================================

import datetime

print("In diesem Programm wird objektorientiertes Programmieren demonstriert.")

class Person(object):
	def __init__(self, vorname, nachname):
		self.vorname = vorname
		self.nachname = nachname
		self.geburtstag = datetime.datetime.now()

	def vorstellen(self):
		print("Hallo, mein Name ist {} {}".format(self.vorname, self.nachname))

	def getGeburtstag(self):
		return self.geburtstag
	
	def getGeburtstagAlsString(self):
		return self.geburtstag.strftime("%d.%m.%Y %H:%M:%S")

person1 = Person("Paul", "Freudenberger")
dummy = input("Drücken Sie eine Taste, zum Anlegen der nächsten Person . . .")
person2 = Person("Biene", "Maja")

print("Person1 ist dran. Bitte stelle dich uns vor...")
person1.vorstellen()

print("\nPerson2... Wann hast du Geburtstag?")
geburtstag2 = person2.getGeburtstagAlsString()
print("Person2: Ich habe Geburtstag am {}".format(geburtstag2))

print("\nPerson1... Wann hast du Geburtstag?")
geburtstag1 = person1.getGeburtstagAlsString()
print("Person1: Ich habe Geburtstag am {}".format(geburtstag1))

input("Drücken Sie eine beliebige Taste . . .")
