"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____                                                  _
   / __ \_________  ____ __________ _____ ___  ____ ___  (_)__  ________  _____
  / /_/ / ___/ __ \/ __ `/ ___/ __ `/ __ `__ \/ __ `__ \/ / _ \/ ___/ _ \/ ___/
 / ____/ /  / /_/ / /_/ / /  / /_/ / / / / / / / / / / / /  __/ /  /  __/ /
/_/   /_/   \____/\__, /_/   \__,_/_/ /_/ /_/_/ /_/ /_/_/\___/_/   \___/_/
                 /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 14.01.2020
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#=======================
#= Tutorial: Vererbung =
#=======================

print("In diesem Programm wird Vererbung von Objekten demonstriert.")

class Person(object):
	def __init__(self, vorname, nachname):
		self.vorname = vorname
		self.nachname = nachname

	def vorstellen(self):
		print("Hallo, mein Name ist {} {}".format(self.vorname, self.nachname))

class Superman(Person):
	def vorstellen(self):
		print("Hallo, ich bin Superman. Mein echter Name geht niemanden etwas an.")
	
	def fliegen(self):
		print("Woosh, du fliegst auf und davon!")

person1 = Superman("Kent", "Clark")
person2 = Person("Paul", "Freudenberger")

print("Zuerst Superman...")
person1.vorstellen()
person1.fliegen()

input("Drücken Sie eine beliebige Taste . . .")

print("Jetzt du...")
person2.vorstellen()
try:
	person2.fliegen()
except:
	print("Moment mal. {} {} kann gar nicht fliegen.".format(person2.vorname, person2.nachname))

input("Drücken Sie eine beliebige Taste . . .")
