"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    _______           __     _____ __
   / ____(_)_________/ /_   / ___// /____  ____  _____
  / /_  / / ___/ ___/ __/   \__ \/ __/ _ \/ __ \/ ___/
 / __/ / / /  (__  ) /_    ___/ / /_/  __/ /_/ (__  )
/_/   /_/_/  /____/\__/   /____/\__/\___/ .___/____/
                                       /_/
"""
#Created by Paul Freudenberger
#Created on 27.12.2019
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#========================
#= Tutorial: User input =
#========================

print("In this program the interaction with a user is demonstrated.\n")

print("Welcome to the Employeecreation-Form.")

firstname = input("Please enter your first name: ")
lastname = input("Please enter your last name: ")
age = input("Please enter your age: ")
int_age = int(age)
credit = 1234.56789

print("Summary:")
print("Full Name: " + firstname + " " + lastname)
print("Your age: " + str(int_age))       #str()-cast is important, otherwise the program crashes
print("Your credit: {:.2f} €".format(credit))        #Example for 2-decimals formating of float

input("Press any key to continue . . .")

#As multiline string
#print("""Full Name: {} {}
#Your age: {}
#Your credit: {:.2f} €
#""".format(firstname, lastname, int_age, credit))

#Old way for python <= v2.6
#print("Full Name: %s %s\nYour age:%d\nYour credit: %f €" %(firstname, lastname, int_age, credit))

#New way for python => 3.6
#print(f"Full Name: {firstname} {lastname}")
#print(f"Your age: {int_age}")
#print(f"Your credit: {credit:.2f} €")
