"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____             _
   / __ )____ ______(_)_________
  / __  / __ `/ ___/ / ___/ ___/
 / /_/ / /_/ (__  ) / /__(__  )
/_____/\__,_/____/_/\___/____/
"""
#Created by Paul Freudenberger
#Created on 27.12.2019
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#============================
#= Tutorial: If/Else-Blocks =
#============================

print("In this program If/Else-Blocks are demonstrated.\n")

#=== Lecture 1: Common case for If/Else ===

print("Welcome in our music store.\n")
print("So, your are searching for a guitar. Are you right or left-handed?")

is_righthanded = True
is_lefthanded = True
is_bothhanded = True

if is_righthanded:
	print("Right-handed... Okay, here you go. A normal guitar.")
else:
	print("Try this guitar for left-handed people.")

input("Press any key to continue . . .")

#=== Lecture 2: Multiple If/Else blocks and logical operators ===

print("\nSo you really wanna tell me you are both-handed?")

if is_righthanded and is_lefthanded:
	print("Oh... would you sign an autograph for me, Mr. Hendrix?")
elif is_righthanded or is_bothhanded:
	print("Here you go, a normal guitar.")
else:
	print("Try this guitar for left-handed people.")

input("Press any key to continue . . .")

