"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____             _
   / __ )____ ______(_)_________
  / __  / __ `/ ___/ / ___/ ___/
 / /_/ / /_/ (__  ) / /__(__  )
/_____/\__,_/____/_/\___/____/
"""
#Created by Paul Freudenberger
#Created on 01.01.2020
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#==========================
#= Tutorial: Dictionaries =
#==========================

print("In this program dictionaries are demonstrated.")
print("Dictionaries are almost the same as arrays.")
print("The main difference is that the indexes are strings instead of numbers.")
print("In python even objects can be used as index.\n")

schaffenburg_real2nick = {"Paul":"VinRisen360","Hendrik":"Dg3hda","Andy":"Fraxinas","Olaf":"Zoredh"}
#Most readable way of writing the code:
schaffenburg_real2nick = {
	"Paul":"VinRisen360",
	"Hendrik":"Dg3hda",
	"Andy":"Fraxinas",
	"Olaf":"Zoredh"
	}
schaffenburg_nick2real = {}
for realname in schaffenburg_real2nick:
	nickname = schaffenburg_real2nick[realname]
	schaffenburg_nick2real[nickname] = realname

print("Welcome to the translator for Schaffenburg e.V. nicknames.")
print("Type 'exit' to quit the translator.")
while(True):
	searchedname = input("\nWhich name do you want to know? ")
	searchedname = searchedname.capitalize()
	if searchedname == "Exit":
		break
	if searchedname in schaffenburg_nick2real:
		print("Ah. You mean {}. He is also called {}.".format(searchedname, schaffenburg_nick2real[searchedname]))
	elif searchedname in schaffenburg_real2nick:
		print("Ah. You mean {}. He is also called {}.".format(searchedname, schaffenburg_real2nick[searchedname]))
	else:
		print("Sorry, but I did not found an entry for this name...")
		print("Just try one more time.")

input("Press any key to continue . . .")
