"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____             _
   / __ )____ ______(_)_________
  / __  / __ `/ ___/ / ___/ ___/
 / /_/ / /_/ (__  ) / /__(__  )
/_____/\__,_/____/_/\___/____/
"""
#Created by Paul Freudenberger
#Created on 01.01.2020
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#==================================
#= Tutorial: Dates and Timestamps =
#==================================

print("In this program handling dates and timestamps is demonstrated.")

import datetime

currenttime = datetime.datetime.now()
now_timeformat_de = currenttime.strftime("%d.%m.%Y %H:%M:%S")

print("The exact time is: {} Uhr".format(now_timeformat_de))

birthday_timeformat_de = input("Enter your birthdate and I tell you how old you are: ")
birthday = datetime.datetime.strptime(birthday_timeformat_de, "%d.%m.%Y")
age = currenttime - birthday
age_inyears = age.days // 365

print("As I calculated you are {} years old.".format(age_inyears))

if age_inyears >= 18:
	print("Congratulations. You are allowed to view USK18 movies in cinema :)")
else:
	print("You are still underage.\nI'm not allowed to sell alcohol to you.")

input("Press any key to continue . . .")
