"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____             _
   / __ )____ ______(_)_________
  / __  / __ `/ ___/ / ___/ ___/
 / /_/ / /_/ (__  ) / /__(__  )
/_____/\__,_/____/_/\___/____/
"""
#Created by Paul Freudenberger
#Created on 02.01.2020
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#===============================
#= Tutorial: Text Manipulation =
#===============================

print("In this program manipulation of strings/text is demonstrated.\n")

haystack = "Search the needle in the haystack. It is hard to find something in hay."

amount_characters = len(haystack)
print("The following sentence has {} characters:\n{}\n".format(amount_characters, haystack))

amount_words = len(haystack.split(" "))
print("Also, the sentence contains {} words.\n".format(amount_words))

searchword = "Heu"
amount_searchword = (len(haystack) - len(haystack.replace(searchword,""))) / len(searchword)
print("The word 'hay' is {}-times used in the sentence.\n".format(amount_searchword))

position_needle = haystack.find("needle")
print("The word 'needle' is also found in the sentence. It can be seen at the {}th character of the sentence.\n".format(position_needle))

text_startfromsearchword = haystack[position_needle:]
print("Starting at the word 'needle' these characters are used:\n{}\n".format(text_startfromsearchword))

text_notfound = "Spongebob"
searchposition = haystack.find(text_notfound)
if (searchposition == -1):
	print("I am sorry, but 'Spongebob' was not found in the haystack.\n")
else:
	print("I really did found 'Spongebob' in the haystack. That was unexpected...\n")

capitalletters = haystack.upper()
print("On a scoreboard with capital letters I would output it like this:\n{}\n".format(capitalletters))

word_per_word = haystack.split(" ")
print("And like this, I would list all words ascending:\n")
for word in word_per_word:
	print(word)

logbook = """
Monday: Today I had pizza for lunch
Tuesday: Today is Openspace at Schaffenburg e.V.
Wednesday: Today we cook noodle soup
Thursday: Today it snowed
Friday: Yeah, weekend. Party!
Saturday: Today just chillin
Sunday: Went to church
"""
arrlines = logbook.split("\n")
for line in arrlines:
	if line != "":
		print("New line: {}".format(line))
		if (line.find("Saturday") != -1):
			print("Now it gets interesting. That was the info from saturday")

input("Press any key to continue . . .")
