"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____
   / __ \_________  ____ __________ _____ ___  ____ ___  ___  _____
  / /_/ / ___/ __ \/ __ `/ ___/ __ `/ __ `__ \/ __ `__ \/ _ \/ ___/
 / ____/ /  / /_/ / /_/ / /  / /_/ / / / / / / / / / / /  __/ /
/_/   /_/   \____/\__, /_/   \__,_/_/ /_/ /_/_/ /_/ /_/\___/_/
                 /____/
"""
#Created by Paul Freudenberger
#Created on 14.01.2020
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#===================================
#= Tutorial: Objects and Instances =
#===================================

import datetime

print("In this program object oriented programming is demonstrated.")

class Person(object):
	def __init__(self, name, surname):
		self.name = name
		self.surname = surname
		self.birthday = datetime.datetime.now()

	def announce(self):
		print("Hello, my name is {} {}".format(self.name, self.surname))

	def getBirthday(self):
		return self.birthday
	
	def getBirthdayAsString(self):
		return self.birthday.strftime("%d.%m.%Y %H:%M:%S")

person1 = Person("Paul", "Freudenberger")
dummy = input("Press any key to create the next Person . . .")
person2 = Person("the Bee", "Maja")

print("Person1 it's your turn. Please announce yourself...")
person1.announce()

print("\nPerson2... When is your birthday?")
birthday2 = person2.getBirthdayAsString()
print("Person2: My birthday is on {}".format(birthday2))

print("\nPerson1... When is your birthday?")
birthday1 = person1.getBirthdayAsString()
print("Person1: My birthday is on {}".format(birthday1))

input("Press any key to continue . . .")
