"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____
   / __ \_________  ____ __________ _____ ___  ____ ___  ___  _____
  / /_/ / ___/ __ \/ __ `/ ___/ __ `/ __ `__ \/ __ `__ \/ _ \/ ___/
 / ____/ /  / /_/ / /_/ / /  / /_/ / / / / / / / / / / /  __/ /
/_/   /_/   \____/\__, /_/   \__,_/_/ /_/ /_/_/ /_/ /_/\___/_/
                 /____/
"""
#Created by Paul Freudenberger
#Created on 14.01.2020
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#=========================
#= Tutorial: Inheritance =
#=========================

print("In this program inheritance of objects is demonstrated.")

class Person(object):
	def __init__(self, name, surname):
		self.name = name
		self.surname = surname

	def announce(self):
		print("Hello, my name is {} {}".format(self.name, self.surname))

class Superman(Person):
	def announce(self):
		print("Hello, I am superman. My real name is nobody's business.")
	
	def fly(self):
		print("Woosh, you fly away!")

person1 = Superman("Kent", "Clark")
person2 = Person("Paul", "Freudenberger")

print("First Superman...")
person1.announce()
person1.fly()

input("Press any key to continue . . .")

print("Now it's your turn...")
person2.announce()
try:
	person2.fly()
except:
	print("Wait a moment. {} {} is not able to fly.".format(person2.name, person2.surname))

input("Press any key to continue . . .")
