"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ______          __          _____      __         _ __  __    
   / ____/_________/ /____     / ___/_____/ /_  _____(_) /_/ /____ 
  / __/ / ___/ ___/ __/ _ \    \__ \/ ___/ __ \/ ___/ / __/ __/ _ \
 / /___/ /  (__  ) /_/  __/   ___/ / /__/ / / / /  / / /_/ /_/  __/
/_____/_/  /____/\__/\___/   /____/\___/_/ /_/_/  /_/\__/\__/\___/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 27.12.2019
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#==============================
#= Tutorial: Benutzereingaben =
#==============================

print("In diesem Programm wird die Interaktion mit einem Benutzer thematisiert.\n")

print("Willkommen zum Mitarbeiteranlage-Formular.")

vorname = input("Bitte geben Sie ihren Vornamen ein: ")
nachname = input("Bitte geben Sie ihren Nachnamen ein: ")
alter = input("Geben Sie ihr Alter ein: ")
int_alter = int(alter)
guthaben = 1234.56789

print("Übersicht:")
print("Vollständiger Name: " + vorname + " " + nachname)
print("Ihr Alter: " + str(int_alter))       #str()-cast ist wichtig, sonst stürzt das Program ab
print("Ihr Guthaben: {:.2f} €".format(guthaben))        #Beispiel für 2-stellige Dezimalstellen-Formatierung

input("Drücken Sie eine beliebige Taste . . .")

#Als mehrzeiliger string
#print("""Vollständiger Name: {} {}
#Ihr Alter: {}
#Ihr Guthaben: {:.2f} €
#""".format(vorname, nachname, int_alter, guthaben))

#Alter Weg für python <= v2.6
#print("Vollständiger Name: %s %s\nIhr Alter:%d\nIhr Guthaben: %f €" %(vorname, nachname, int_alter, guthaben))

#Neuer Weg für python => 3.6
#print(f"Vollständiger Name: {vorname} {nachname}")
#print(f"Ihr Alter: {int_alter}")
#print(f"Ihr Guthaben: {guthaben:.2f} €")
