"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
   ______                     ____
  / ____/______  ______  ____/ / /___ _____ ____  ____
 / / __/ ___/ / / / __ \/ __  / / __ `/ __ `/ _ \/ __ \
/ /_/ / /  / /_/ / / / / /_/ / / /_/ / /_/ /  __/ / / /
\____/_/   \__,_/_/ /_/\__,_/_/\__,_/\__, /\___/_/ /_/
                                    /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 27.12.2019
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#========================
#= Tutorial: Mathematik =
#========================

print("In diesem Programm werden die Grundrechenarten der Mathematik demonstriert.\n")

print("Herzlich Willkommen bei McDonald's, darf ich Ihre Bestellung aufnehmen?")

preis_bigmac = 4.29     #EURO
preis_chickennugget = 0.665     #EURO
rabattcode = 0.10        #10% Rabatt

preisliste = """
BigMac: {:.2f} €
Chicken Nugget: {:.2f} €/Stück
Rabatt: {:d} %
""".format(preis_bigmac, preis_chickennugget, int(rabattcode * 100))

print("Preisliste:\n" + preisliste)

input("Drücken Sie eine beliebige Taste . . .")

gesamtpreis = preis_bigmac + (6 * preis_chickennugget)
gesamtpreis = gesamtpreis * (1 - rabattcode)
jubileumspreis = float(gesamtpreis) / 2.0
#jubileumspreis = gesamtpreis / 2    #Only good in python => 3.0

print("""Okay, ich habe verstanden.
Sie möchten 1x Big Mac und 6er Chicken Nuggets.
Sie haben außerdem einen Rabattcode über 10% des Gesamtpreises.
""")

print("""Das macht dann...
{:.2f} x ({:.2f}€ + 6Stück x {:.2f}€/Stück) = {:.2f}€

Aber heute haben wir 30-jähriges Jubileum.
Darum müssen Sie heute nur die Hälfte des Gesamtpreises bezahlen.
Das macht dann {:.2f}€
""".format((1 - rabattcode), preis_bigmac, preis_chickennugget, gesamtpreis, jubileumspreis))

input("Drücken Sie eine beliebige Taste . . .")
