"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
   ______                     ____
  / ____/______  ______  ____/ / /___ _____ ____  ____
 / / __/ ___/ / / / __ \/ __  / / __ `/ __ `/ _ \/ __ \
/ /_/ / /  / /_/ / / / / /_/ / / /_/ / /_/ /  __/ / / /
\____/_/   \__,_/_/ /_/\__,_/_/\__,_/\__, /\___/_/ /_/
                                    /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 27.12.2019
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#===========================
#= Tutorial: Arrays/Listen =
#===========================

print("In diesem Programm werden Arrays demonstriert.")
print("In Python sind alle Arrays eigentlich Listen.")
print("Listen können alles, was Arrays auch können und bieten sogar noch ein paar Komfort-Methoden.")
print("So reicht es einfach meinarray.sort() zu schreiben und die Inhalte werden Numerisch/Alphabetisch sortiert.")
print("Es ist somit überflüssig einen eigenen Sortieralgorythmus zu schreiben.")

#=== Lektion 1: Durch Listen iterieren ===

print("Lasst uns einen Regenbogen ausgeben:")

regenbogen = ["Rot", "Orange", "Gelb", "Grün", "Blau", "Indigo", "Violett"]

for farbe in regenbogen:
	print(farbe)

input("Drücken Sie eine beliebige Taste . . .")

#=== Lektion 2: Aufruf einzelner Elemente über deren Index ===

print("\nWer kann mir die erste und die letzte Farbe im Regenbogen sagen?")
print("Die erste Farbe ist: {}".format(regenbogen[0]))
print("Die letzte Farbe ist: {}".format(regenbogen[-1]))

input("Drücken Sie eine beliebige Taste . . .")

#=== Lektion 3: Teilmengen aus Listen bilden ===

print("\nWelche Farben hat der Regenbogen beginnend bei Grün?")
print("Das sind die Farben: {}".format(regenbogen[3:]))

input("Drücken Sie eine beliebige Taste . . .")

#=== Lektion 4: Nachträgliches Hinzufügen neuer Elemente ===

print("\nSie haben Ultraviolett vergessen (Nicht sichtbar).")
print("Tragen Sie noch Ultraviolett nach:")
regenbogen.append("Ultraviolett")
print("Jetzt sieht der Regenbogen so aus: {}".format(regenbogen))

input("Drücken Sie eine beliebige Taste . . .")
