"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
   ______                     ____
  / ____/______  ______  ____/ / /___ _____ ____  ____
 / / __/ ___/ / / / __ \/ __  / / __ `/ __ `/ _ \/ __ \
/ /_/ / /  / /_/ / / / / /_/ / / /_/ / /_/ /  __/ / / /
\____/_/   \__,_/_/ /_/\__,_/_/\__,_/\__, /\___/_/ /_/
                                    /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 02.01.2020
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#===============================
#= Tutorial: Text Manipulation =
#===============================

print("In diesem Programm wird Manipulation von Strings/Text demonstriert.\n")

heuhaufen = "Suche die Nadel im Heuhaufen. Heu ist echt undurchsichtig."

anzahl_buchstaben = len(heuhaufen)
print("Der der folgende Satz hat {} Buchstaben:\n{}\n".format(anzahl_buchstaben, heuhaufen))

anzahl_woerter = len(heuhaufen.split(" "))
print("Außerdem hat der Satz {} Wörter.\n".format(anzahl_woerter))

suchwort = "Heu"
anzahl_suchwort = (len(heuhaufen) - len(heuhaufen.replace(suchwort,""))) / len(suchwort)
print("Das Wort 'Heu' ist {}-mal im Satz vorhanden.\n".format(anzahl_suchwort))

position_nadel = heuhaufen.find("Nadel")
print("Das Wort 'Nadel' kommt auch im Satz vor. Es ist ab dem {}. Buchstaben zu sehen.\n".format(position_nadel))

text_absuchwort = heuhaufen[position_nadel:]
print("Ab dem Wort 'Nadel' kommen noch diese Buchstaben vor:\n{}\n".format(text_absuchwort))

text_nichtda = "Spongebob"
suchposition = heuhaufen.find(text_nichtda)
if (suchposition == -1):
	print("Tut mir Leid, aber 'Spongebob' konnte ich nicht im Heuhaufen finden.\n")
else:
	print("Ich habe tatsächlich 'Spongebob' im Heuhaufen gefunden. Das war unerwartet...\n")

grossbuchstaben = heuhaufen.upper()
print("Auf einer Anzeige mit Großbuchstaben würde ich das so ausgeben:\n{}\n".format(grossbuchstaben))

wort_fuer_wort = heuhaufen.split(" ")
print("Und so würde ich alle Wörter untereinander auflisten:\n")
for wort in wort_fuer_wort:
	print(wort)

logbuch = """
Montag: Heute gab es Pizza
Dienstag: Heute ist Openspace bei Schaffenburg e.V.
Mittwoch: Heute gibt es Nudelsuppe
Donnerstag: Heute hat es geschneit
Freitag: Juhu, Wochenende. Feiern!
Samstag: Heute einfach nur entspannt
Sonntag: In die Kirche gegangen
"""
arrzeilen = logbuch.split("\n")
for zeile in arrzeilen:
	if zeile != "":
		print("Neue Zeile: {}".format(zeile))
		if (zeile.find("Samstag") != -1):
			print("Jetzt wirds interessant. Das war die Info vom Samstag")

input("Drücken Sie eine beliebige Taste . . .")
