"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ______           __                       __         _ __  __
   / ____/___  _____/ /_____ ____  __________/ /_  _____(_) /_/ /____  ____  ___
  / /_  / __ \/ ___/ __/ __ `/ _ \/ ___/ ___/ __ \/ ___/ / __/ __/ _ \/ __ \/ _ \
 / __/ / /_/ / /  / /_/ /_/ /  __(__  ) /__/ / / / /  / / /_/ /_/  __/ / / /  __/
/_/    \____/_/   \__/\__, /\___/____/\___/_/ /_/_/  /_/\__/\__/\___/_/ /_/\___/
                     /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 03.01.2020
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#=====================
#= Tutorial: Imports =
#=====================

import os
import subprocess
import pylab

print("In diesem Programm werden Imports demonstriert.")
print("In anderen Programmiersprache ist dieser Vorgang auch als 'Include' bekannt.")

#=== Lektion 1: Das os-Modul ===
#retcode = os.system("ipconfig")
retcode = os.system("ipconfig > NUL")

if retcode == 0:
	print("Der CMD-Aufruf endete erfolgreich ohne Fehler.")
else:
	print("Der CMD-Aufruf endet mit folgenem Fehler: Error {}".format(retcode))

input("Drücken Sie eine beliebige Taste . . .")

#=== Lektion 2: Das subprocess-Modul ===
bytesausgabe = subprocess.check_output("ipconfig")
meinoutput = bytesausgabe.decode("utf-8")
print("Was praktisch ist...\nVia subprozess kann ich die Ausgabe an eine Variable übergeben.")
print("Sieh:\n{}".format(meinoutput))

input("Drücken Sie eine beliebige Taste . . .")

#=== Lektion 3: Das pylab-Modul (Auch bekannt als matplotlib) ===
plotspeicherpfad = "C:/TEMP/testplot.png"
xwerte = [0,1,2,3,4,5,6,7,8,9,10]
ywerte = [10,9,8,7,6,5,4,3,2,1,0]

ueberordnerindex = plotspeicherpfad.rfind("/")
ueberordner = plotspeicherpfad[:ueberordnerindex]
if os.name == "nt":
	plotspeicherpfad = plotspeicherpfad.replace("/","\\")
	ueberordner = ueberordner.replace("/","\\")
pylab.plot(xwerte, ywerte)
pylab.title("Testdiagramm")
pylab.legend(("Aktuelle Temperatur", "Anderes Zeug"))
pylab.xlabel("X-Werte")
pylab.ylabel("Y-Werte")
pylab.savefig(plotspeicherpfad, dpi=300)        #dpi erhöht die resultierende Auflösung. (300 dpi = 1920x1440px)
pylab.close()
#pylab.show()
os.system("start explorer.exe {}".format(ueberordner))
