"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ______           __                       __         _ __  __
   / ____/___  _____/ /_____ ____  __________/ /_  _____(_) /_/ /____  ____  ___
  / /_  / __ \/ ___/ __/ __ `/ _ \/ ___/ ___/ __ \/ ___/ / __/ __/ _ \/ __ \/ _ \
 / __/ / /_/ / /  / /_/ /_/ /  __(__  ) /__/ / / / /  / / /_/ /_/  __/ / / /  __/
/_/    \____/_/   \__/\__, /\___/____/\___/_/ /_/_/  /_/\__/\__/\___/_/ /_/\___/
                     /____/
"""
#Erstellt von Paul Freudenberger
#Erstellt am 14.01.2020
#ASCII Art erstellt mit http://www.network-science.de/ascii/ , font = doh & font = slant

#========================
#= Tutorial: Funktionen =
#========================

print("Dieses Programm errechnet dir komfortabel deinen Notendurchschnitt.")

#=== Definieren von Funktionen ===
def zeigewetter():
	ausgabe = ""
	#Komplizierte Web-API Abfrage hier
	ausgabe = "Morgen wird es in Aschaffenburg Sonnig bei 14°C."
	print(ausgabe)

def errechnenotendurchschnitt(notenliste):
	addiertenoten = 0
	for note in notenliste:
		addiertenoten += int(note)
	return (float(addiertenoten) / len(notenliste))

def zeigerechenschritte(notenliste):
	ausgabe = "("
	for note in notenliste:
		ausgabe = ausgabe + str(note) + " + "
	ausgabeohneplusamende = len(ausgabe) - len(" + ")
	ausgabe = ausgabe[:ausgabeohneplusamende]
	ausgabe = ausgabe + ") / " + str(len(notenliste))
	print(ausgabe)

#=== Start der Hauptprogramm Logik ===
strnotenliste = input("Geben Sie jetzt ihre Noten ein (Trennzeichen=,): ")
lstnotenliste = strnotenliste.split(",")

meinnotendurchschnitt = errechnenotendurchschnitt(lstnotenliste)
print("Ihr Notendurchschnitt ist: {}".format(meinnotendurchschnitt))

print("Hier sehen Sie die Rechenschritte:")
zeigerechenschritte(lstnotenliste)

antwort = input("Möchten Sie außerdem noch wissen, wie das Wetter morgen wird? (j/n): ")
if (antwort == "j"):
	zeigewetter()
elif (antwort != "n"):
	print("Du solltest meine Frage mit j (Ja) oder n (Nein) beantworten...\nDas war's...\nIch beende das Program jetzt!")

input("Drücken Sie eine beliebige Taste . . .")
