"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____             _
   / __ )____ ______(_)_________
  / __  / __ `/ ___/ / ___/ ___/
 / /_/ / /_/ (__  ) / /__(__  )
/_____/\__,_/____/_/\___/____/
"""
#Created by Paul Freudenberger
#Created on 27.12.2019
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#=========================
#= Tutorial: Mathematics =
#=========================

print("In this program the basics of mathematics are explained.\n")

print("Welcome at McDonald's, may I take your order, please?")

price_bigmac = 4.29     #EURO
price_chickennugget = 0.665     #EURO
discountcode = 0.10        #10% Rabatt

pricelist = """
BigMac: {:.2f} €
Chicken Nugget: {:.2f} €/Stück
Discount: {:d} %
""".format(price_bigmac, price_chickennugget, int(discountcode * 100))

print("Pricelist:\n" + pricelist)

input("Press any key to continue . . .")

totalprice = price_bigmac + (6 * price_chickennugget)
totalprice = totalprice * (1 - discountcode)
anniversaryprice = float(totalprice) / 2.0
#anniversaryprice = totalprice / 2    #Only good in python => 3.0

print("""Okay, I understood.
You want 1x Big Mac and 6 Chicken Nuggets.
You also have a discountcode for 10% off the total price.
""")

print("""Together that makes...
{:.2f} x ({:.2f}€ + 6Pieces x {:.2f}€/Piece) = {:.2f}€

But today we have 30-years anniversary.
Therefore you only have to pay the half of the total price.
That makes {:.2f}€
""".format((1 - discountcode), price_bigmac, price_chickennugget, totalprice, anniversaryprice))

input("Press any key to continue . . .")
