"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____             _
   / __ )____ ______(_)_________
  / __  / __ `/ ___/ / ___/ ___/
 / /_/ / /_/ (__  ) / /__(__  )
/_____/\__,_/____/_/\___/____/
"""
#Created by Paul Freudenberger
#Created on 27.12.2019
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#================================
#= Tutorial: Switch/Case-Blocks =
#================================

print("Actually there is no classical switch/case-block in python.")
print("But there is a way to mimic switch/case blocks using dictionaries.")

action = input("""What do you want to do?:
1 = Install something
2 = Shutdown PC
3 = Google something
""")
intaction = int(action)

def action1():
	print("i will install ...")

def action2():
	print("I would shutdown your pc now, if that would be a test")

def action3():
	print("I would open your browser and navigate to http://www.google.de/")

def actionelse():
	print("I would give you the hint, that your selection is not valid")

switcher = {
	1: action1,
	2: action2,
	3: action3
}

func = switcher.get(intaction, actionelse)
func()

input("Press any key to continue . . .")
