"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ____             _
   / __ )____ ______(_)_________
  / __  / __ `/ ___/ / ___/ ___/
 / /_/ / /_/ (__  ) / /__(__  )
/_____/\__,_/____/_/\___/____/
"""
#Created by Paul Freudenberger
#Created on 27.12.2019
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#===========================
#= Tutorial: Arrays/Listen =
#===========================

print("In this program arrays are demonstrated.")
print("In python all arrays are actually lists.")
print("Lists can do everything arrays can do but they also offer some comfortable methods.")
print("For example you can just write myarray.sort() and all elements will be sorted by alphabet/numbers.")
print("Therefore it is unnecessary to implement a sort algorythm by your own.")

#=== Lecture 1: Iterate through lists ===

print("Let us print a rainbow:")

rainbow = ["red", "orange", "yellow", "green", "blue", "indigo", "violett"]

for color in rainbow:
	print(color)

input("Press any key to continue . . .")

#=== Lecture 2: Retrieve certain elements by their index ===

print("\nWho can tell me the first and the last color of the rainbow?")
print("The first color is: {}".format(rainbow[0]))
print("The last color is: {}".format(rainbow[-1]))

input("Press any key to continue . . .")

#=== Lecture 3: Build subsets from lists ===

print("\nWhich colors are there in the rainbow beginning from green?")
print("These are the colors: {}".format(rainbow[3:]))

input("Press any key to continue . . .")

#=== Lecture 4: Appending new elements ===

print("\nYou orgott ultraviolett (Not visible).")
print("Add ultraviolett now:")
rainbow.append("ultraviolett")
print("Now the rainbow looks like this: {}".format(rainbow))

input("Press any key to continue . . .")
