"""
PPPPPPPPPPPPPPPPP                                     tttt         hhhhhhh
P::::::::::::::::P                                 ttt:::t         h:::::h
P::::::PPPPPP:::::P                                t:::::t         h:::::h
PP:::::P     P:::::P                               t:::::t         h:::::h
  P::::P     P:::::Pyyyyyyy           yyyyyyyttttttt:::::ttttttt    h::::h hhhhh          ooooooooooo   nnnn  nnnnnnnn
  P::::P     P:::::P y:::::y         y:::::y t:::::::::::::::::t    h::::hh:::::hhh     oo:::::::::::oo n:::nn::::::::nn
  P::::PPPPPP:::::P   y:::::y       y:::::y  t:::::::::::::::::t    h::::::::::::::hh  o:::::::::::::::on::::::::::::::nn
  P:::::::::::::PP     y:::::y     y:::::y   tttttt:::::::tttttt    h:::::::hhh::::::h o:::::ooooo:::::onn:::::::::::::::n
  P::::PPPPPPPPP        y:::::y   y:::::y          t:::::t          h::::::h   h::::::ho::::o     o::::o  n:::::nnnn:::::n
  P::::P                 y:::::y y:::::y           t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                  y:::::y:::::y            t:::::t          h:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
  P::::P                   y:::::::::y             t:::::t    tttttth:::::h     h:::::ho::::o     o::::o  n::::n    n::::n
PP::::::PP                  y:::::::y              t::::::tttt:::::th:::::h     h:::::ho:::::ooooo:::::o  n::::n    n::::n
P::::::::P                   y:::::y               tt::::::::::::::th:::::h     h:::::ho:::::::::::::::o  n::::n    n::::n
P::::::::P                  y:::::y                  tt:::::::::::tth:::::h     h:::::h oo:::::::::::oo   n::::n    n::::n
PPPPPPPPPP                 y:::::y                     ttttttttttt  hhhhhhh     hhhhhhh   ooooooooooo     nnnnnn    nnnnnn
                          y:::::y
                         y:::::y
                        y:::::y
                       y:::::y
                      yyyyyyy
    ___       __                                __
   /   | ____/ /   ______ _____  ________  ____/ /
  / /| |/ __  / | / / __ `/ __ \/ ___/ _ \/ __  /
 / ___ / /_/ /| |/ / /_/ / / / / /__/  __/ /_/ /
/_/  |_\__,_/ |___/\__,_/_/ /_/\___/\___/\__,_/
"""
#Created by Paul Freudenberger
#Created on 14.01.2020
#ASCII Art generated with http://www.network-science.de/ascii/ , font = doh & font = slant

#=======================
#= Tutorial: Functions =
#=======================

print("This program comfortably calculates your grade point average.")

#=== Defining functions ===
def showweather():
	output = ""
	#Complicated Web-API Request here
	output = "Tomorrow in Aschaffenburg the wether will be sunny at 14°C."
	print(output)

def calculategradepointaverage(gradelist):
	gradesum = 0
	for grade in gradelist:
		gradesum += int(grade)
	return (float(gradesum) / len(gradelist))

def showcalculationsteps(gradelist):
	output = "("
	for grade in gradelist:
		output = output + str(grade) + " + "
	outputwithoutplusatend = len(output) - len(" + ")
	output = output[:outputwithoutplusatend]
	output = output + ") / " + str(len(gradelist))
	print(output)

#=== Start of main program logic ===
strgradelist = input("Now enter your grades (Delimiter=,): ")
lstgradelist = strgradelist.split(",")

myaveragegrade = calculategradepointaverage(lstgradelist)
print("Your average point grade is: {}".format(myaveragegrade))

print("Here you can see the calculation steps:")
showcalculationsteps(lstgradelist)

answer = input("Would you also like to know how the weather will be tomorrow? (y/n): ")
if (answer == "y"):
	showweather()
elif (answer != "n"):
	print("You are supposed to answer my question with y (yes) or n (no)...\nIt's over...\nI will make the program end now!")

input("Press any key to continue . . .")
